본문 바로가기메인 메뉴 바로가기사이드 메뉴 바로가기

kakao developers

Related sites
  • Docs
  • Kakao Moment
  • Message management

사이드 메뉴

Kakao Map

Search

Kakao Moment

Message management

This document describes how to use the Message management API.

View list of Kakao TV channels

Basic information
MethodURLAuthorization
GEThttps://apis.moment.kakao.com/openapi/v4/messages/kakaotv/channelsBusiness token

Retrieves a list of Kakao TV channels that include videos to be used for a Message creative.

Send a GET request with the issued business token in the request header. If the request is successful, this API returns the list of the Kakao TV channels in JSON format. A list of Kakao TV channels shows 100 Kakao TV channels per page through pagination. You can request to retrieve the next page by using the page parameter. If failed, refer to Error code to figure out its failure cause.

Request

Header
NameDescriptionRequired
AuthorizationAuthorization: Bearer ${BUSINESS_ACCESS_TOKEN}
Business token as a type of user authentication.
O
Query parameter
NameTypeDescriptionRequired
pageIntegerPage number to be retrieved.X

Response

Body
NameTypeDescription
listKakaoTvChannelInfo[]List of Kakao TV channel information.
totalCountIntegerTotal number of the retrieved Kakao TV channels.
hasMoreBooleanWhether or not there is the next page.

Sample

Request
curl -X GET "https://apis.moment.kakao.com/openapi/v4/messages/kakaotv/channels" \
-H "Authorization: Bearer ${BUSINESS_ACCESS_TOKEN}"
Response
HTTP/1.1 200 OK
Content-Type: application/json;charset=UTF-8
{
"list": [
{
"id": 1234,
"name": "test_kakaotv_channel_1",
"description": "This is Kakao TV Channel1 for test",
"totalClipCount": 56,
"openClipCount": 0,
"subscriberCount": 0,
"visitCount": 789,
"isOpen": true,
"createTime": "2018-07-10 14:51:20",
"updateTime": "2018-07-10 14:51:20",
"clipCount": 56,
"linkUrl": "https://xxx.kakao.com/channel/4321"
},
{
"id": 1235,
"name": "test_kakaotv_channel_2",
"description": "This is Kakao TV Channel2 for test.",
"totalClipCount": 1,
"openClipCount": 0,
"subscriberCount": 0,
"visitCount": 1,
"isOpen": true,
"createTime": "2019-07-31 14:55:36",
"updateTime": "2019-07-31 14:57:25",
"clipCount": 0,
"linkUrl": "https://xxx.kakao.com/channel/5678"
},
{
"id": 1236,
"name": "test_kakaotv_channel_3",
"description": "This is Kakao TV Channel3 for test.",
"totalClipCount": 0,
"openClipCount": 0,
"subscriberCount": 0,
"visitCount": 0,
"isOpen": true,
"createTime": "2019-07-30 15:14:11",
"updateTime": "2019-07-30 15:14:22",
"clipCount": 0,
"linkUrl": "https://xxx.kakao.com/channel/9101"
}
],
"totalCount": 3,
"hasMore": false
}

View details of Kakao TV channel

Basic information
MethodURLAuthorization
GEThttps://apis.moment.kakao.com/openapi/v4/messages/kakaotv/channels/${ID}Business token

Retrieves the details of the Kakao TV channel that includes videos to be used for a Message creative.

Send a GET request with the issued business token in the request header. You must also pass the Kakao TV channel's ID to be retrieved and as a path parameter. If the request is successful, this API returns the details of the requested Kakao TV channel in JSON format. If failed, refer to Error code to figure out its failure cause.

Request

Header
NameDescriptionRequired
AuthorizationAuthorization: Bearer ${BUSINESS_ACCESS_TOKEN}
Business token as a type of user authentication.
O
Path variable
NameTypeDescriptionRequired
IDLongID of the Kakao TV channel to be retrieved.O

Response

Body
NameTypeDescription
idLongKakao TV channel's ID.
nameStringKakao TV channel's name.
descriptionStringKakao TV channel's description.
totalClipCountIntegerNumber of video clips uploaded in the Kakao TV channel.
openClipCountIntegerNumber of public video clips in a playlist.
subscriberCountIntegerNumber of subscribers.
visitCountIntegerNumber of views of Kakao TV channel videos.
isOpenBooleanWhether Kakao TV channel is public or private.
createTimeDateTimeCreation time of the Kakao TV channel.
updateTimeDateTimeUpdate time of the Kakao TV channel.
clipCountIntegerNumber of video clips in a playlist.
linkUrlStringURL of the Kakao TV channel page.

Sample

Request
curl -X GET "https://apis.moment.kakao.com/openapi/v4/messages/kakaotv/channels/${ID}" \
-H "Authorization: Bearer ${BUSINESS_ACCESS_TOKEN}"
Response
HTTP/1.1 200 OK
Content-Type: application/json;charset=UTF-8
{
"id": 1234,
"name": "Test Kakao TV Channel1",
"description": "This is Kakao TV Channel1 for test",
"totalClipCount": 72,
"openClipCount": 0,
"subscriberCount": 0,
"visitCount": 253,
"isOpen": true,
"createTime": "2018-07-10 14:51:20",
"updateTime": "2018-07-10 14:51:20",
"clipCount": 0,
"linkUrl": "https://sandbox-tv.kakao.com/channel/1234"
}

View list of Kakao TV channel videos

Basic information
MethodURLAuthorization
GEThttps://apis.moment.kakao.com/openapi/v4/messages/kakaotv/channels/${ID}/clipLinksBusiness token

Retrieves a list of videos that you can use for a Message creative.

Send a GET request with the issued business token in the request header. You must also pass the ID of the Kakao Talk Channel to be retrieved as a path parameter. If the request is successful, this API returns the list of the videos uploaded in the Kakao Talk Channel in JSON format. A list of Kakao TV channels shows 100 Kakao TV channels per page through pagination. You can request to retrieve the next page by using the page parameter. If failed, refer to Error code to figure out its failure cause.

Request

Header
NameDescriptionRequired
AuthorizationAuthorization: Bearer ${BUSINESS_ACCESS_TOKEN}
Business token as a type of user authentication.
O
Path variable
NameTypeDescriptionRequired
IDLongID of the Kakao Talk Channel to be retrieved.O
Query parameter
NameTypeDescriptionRequired
pageIntegerPage number to be retrieved.X

Response

Body
NameTypeDescription
listClipLink[]List of the videos uploaded in the Kakao TV channel.
hasMoreBooleanWhether or not there are more videos to be retrieved.

Sample

Request
curl -X GET "https://apis.moment.kakao.com/openapi/v4/messages/kakaotv/channels/${ID}/clipLinks" \
-H "Authorization: Bearer ${BUSINESS_ACCESS_TOKEN}"
Response
HTTP/1.1 200 OK
Content-Type: application/json;charset=UTF-8
{
"list": [
{
"id": 123456789,
"displayTitle": "Test video",
"playCount": 0,
"likeCount": 0,
"commentCount": 0,
"createTime": "2021-04-26 10:06:00",
"updateTime": "2021-04-26 10:06:00",
"clip": {
"id": 987654321,
"duration": 12.0,
"thumbnailUrl": "http://thumb.kakaocdn.net/dna/kamp-sbox/source/svuqmrnel2enbwawyut1kxzxz/thumbs/thumb.jpg?credential=TuMuFGKUIcirOSjFzOpncbomGFEIdZWK&expires=33176307958&signature=fC1y0hw4zDwDIfn5k57W9KC4kHc%3D",
"isOpen": true
},
"linkUrl": "https://sandbox-tv.kakao.com/v/301641270"
},
{
"id": 301489988,
"displayTitle": "Coffee - 46989",
"playCount": 0,
"likeCount": 0,
"commentCount": 0,
"createTime": "2020-10-27 09:43:14",
"updateTime": "2020-10-27 09:43:14",
"clip": {
"id": 301447437,
"duration": 34.0,
"thumbnailUrl": "//xxx.net/dna/kamp-sbox/source/svov7qvzygs1yymyiyiqv9nl8/thumbs/thumb.jpg?credential=TuMuFGKUIcirOSjFzOpncbomGFEIdZWK&expires=33160668192&signature=VPPZPQKImUfdJE4ORyM1EWGSNKM%3D",
"isOpen": false
},
"linkUrl": "//xxx.kakao.com/v/301489988"
}
],
"hasMore": false
}

View details of Kakao TV channel video

Basic information
MethodURLAuthorization
GEThttps://apis.moment.kakao.com/openapi/v4/messages/kakaotv/channels/${CHANNEL_ID}/clipLinks/${CLIP_LINK_ID}Business token

Retrieves the details of the videos uploaded in a Kakao TV channel, which you can use for a Message creative.

Send a GET request with the issued business token in the request header. You must also pass the Kakao TV channel's ID and Clip Link ID to be retrieved as a path parameter. If the request is successful, this API returns the details of the video in the Kakao TV channel in JSON format. If failed, refer to Error code to figure out its failure cause.

Request

Header
NameDescriptionRequired
AuthorizationAuthorization: Bearer ${BUSINESS_ACCESS_TOKEN}
Business token as a type of user authentication.
O
Path variable
NameTypeDescriptionRequired
CHANNEL_IDLongID of the Kakao Talk Channel to be retrieved.O
CLIP_LINK_IDLongID of the Clip Link to be retrieved.O

Response

Body
NameTypeDescription
idLongClip Link ID.
displayTitleStringClip Link Title.
playCountIntegerNumber of video plays.
likeCountIntegerNumber of likes.
commentCountIntegerNumber of comments.
createTimeDateTimeCreation time.
updateTimeDateTimeUpdate time.
clipClipDetailed information of the Clip Link.
linkUrlStringURL of the Clip Link.

Sample

Request
curl -X GET "https://apis.moment.kakao.com/openapi/v4/messages/kakaotv/channels/${CHANNEL_ID}/clipLinks/${CLIP_LINK_ID}" \
-H "Authorization: Bearer ${BUSINESS_ACCESS_TOKEN}"
Response
HTTP/1.1 200 OK
Content-Type: application/json;charset=UTF-8
{
"id": 123456789,
"displayTitle": "This is a test video.",
"playCount": 9,
"likeCount": 0,
"commentCount": 0,
"createTime": "2021-02-24 16:09:24",
"updateTime": "2021-02-24 16:09:24",
"clip": {
"id": 987654321,
"duration": 15.0,
"thumbnailUrl": "http://thumb.kakaocdn.net/dn/live_static/default/thumbnail.png",
"isOpen": false
},
"linkUrl": "https://sandbox-tv.kakao.com/v/123456789"
}

View list of coupons

Basic information
MethodURLAuthorization
GEThttps://apis.moment.kakao.com/openapi/v4/messages/couponsBusiness token

Retrieves a list of coupons that you can set as a button for a Message creative.

Send a GET request with the issued business token in the request header. You must also pass the profile ID of the Kakao Talk Channel through the profileId parameter to retrieve coupons that can be used for a message button. If the request is successful, this API returns the list of the coupons in JSON format. If failed, refer to Error code to figure out its failure cause.

Request

Header
NameDescriptionRequired
AuthorizationAuthorization: Bearer ${BUSINESS_ACCESS_TOKEN}
Business token as a type of user authentication.
O
Query parameter
NameTypeDescriptionRequired
profileIdLongKakao Talk Channel's profile ID.O

Response

Body
NameTypeDescription
-ChannelCoupon[]List of coupon information.

Sample

Request
curl -X GET "https://apis.moment.kakao.com/openapi/v4/messages/coupons?profileId=${PROFILE_ID}" \
-H "Authorization: Bearer ${BUSINESS_ACCESS_TOKEN}"
Response
HTTP/1.1 200 OK
Content-Type: application/json;charset=UTF-8
[
{
"id": 12345,
"title": "First test coupon",
"content": "This is the first test coupon.",
"statusCode": "done",
"permalink": "http://xxx.kakao.com/_xxx/coupons/_xxx",
"entryImage": {
"type": "image",
"url": "http://xxx.kakao.com/img_xl.jpg",
"thumbnail": null,
"previewImage": null,
"playUrl": null,
"name": null
},
"createdAt": "2021-01-11T15:43:12"
},
{
"id": 12346,
"title": "Second test coupon",
"content": "This is the second test coupon.",
"statusCode": "done",
"permalink": "http://xxx.kakao.com/_xxx/coupons/_xxx",
"entryImage": {
"type": "image",
"url": "http://xxx.kakao.com/img_xl.jpg",
"thumbnail": null,
"previewImage": null,
"playUrl": null,
"name": null
},
"createdAt": "2021-01-11T15:43:12"
}
]

View details of coupon

Basic information
MethodURLAuthorization
GEThttps://apis.moment.kakao.com/openapi/v4/messages/coupons/${ID}Business token

Retrieves the details of the coupon that you can set as a button for a Message creative.

Send a GET request with the issued business token in the request header. To retrieve a specific Kakao Talk Channel's coupon, you must pass the profile ID of the Kakao Talk Channel through the profileId parameter. If the request is successful, this API returns the details of the coupon in JSON format. If failed, refer to Error code to figure out its failure cause.

Request

Header
NameDescriptionRequired
AuthorizationAuthorization: Bearer ${BUSINESS_ACCESS_TOKEN}
Business token as a type of user authentication.
O
Path variable
NameTypeDescriptionRequired
IDLongCoupon ID.O
Query parameter
NameTypeDescriptionRequired
profileIdLongKakao Talk Channel's profile ID.O

Response

Body
NameTypeDescription
idLongCoupon ID.
titleStringCoupon Title.
contentStringCoupon content.
statusCodeStringCoupon status.
permalinkStringCoupon link.
entryImageEntryImageDetailed information about the image on the Coupon.
createdAtStringCreation time of the Coupon.

Sample

Request
curl -X GET "https://apis.moment.kakao.com/openapi/v4/messages/coupons/${ID}?profileId=${PROFILE_ID}" \
-H "Authorization: Bearer ${BUSINESS_ACCESS_TOKEN}"
Response
HTTP/1.1 200 OK
Content-Type: application/json;charset=UTF-8
{
"id": 12345,
"title": "Test coupon",
"content": "Test",
"statusCode": "done",
"permalink": "http://xxx.kakao.com/xxx/coupons/xxx",
"entryImage": null,
"createdAt": "2021-02-26T16:12:31"
}

View list of Ad Views

Basic information
MethodURLAuthorization
GEThttps://apis.moment.kakao.com/openapi/v4/messages/adViewsBusiness token

Retrieves a list of Ad Views you can set as a button for a Message creative.

Send a GET request with the issued business token and an ad account ID (adAccountId) in the request header. If the request is successful, this API returns a list of AD Views in JSON format. If failed, refer to Error code to figure out its failure cause.

Request

Header
NameDescriptionRequired
AuthorizationAuthorization: Bearer ${BUSINESS_ACCESS_TOKEN}
Business token as a type of user authentication.
O
adAccountIdadAccountId: ${AD_ACCOUNT_ID}
Ad account's ID.
O

Response

Body
NameTypeDescription
-AdView[]List of Ad Views.

Sample

Request
curl -X GET "https://apis.moment.kakao.com/openapi/v4/messages/adViews" \
-H "Authorization: Bearer ${BUSINESS_ACCESS_TOKEN}"
-H "adAccountId: ${AD_ACCOUNT_ID}"
Response
HTTP/1.1 200 OK
Content-Type: application/json;charset=UTF-8
[
{
"id": 1234,
"name": "Ad View1",
"type": "COMPACT",
"templateType": "IMAGE"
},
{
"id": 5678,
"name": "Ad View2",
"type": "COMPACT",
"templateType": "IMAGE"
}
]

View list of posts

Basic information
MethodURLAuthorization
GEThttps://apis.moment.kakao.com/openapi/v4/messages/posts/${PROFILE_ID}Business token

Retrieves a list of posts uploaded in Kakao Talk Channel, which you can set as a button for a Message creative.

Send a GET request with the issued business token and an ad account ID (adAccountId) in the request header. You must also pass the profile ID of the Kakao Talk Channel to be retrieved as a path parameter. If the request is successful, this API returns the list of the requested Kakao Talk Channel's posts in JSON format. If failed, refer to Error code to figure out its failure cause.

Request

Header
NameDescriptionRequired
AuthorizationAuthorization: Bearer ${BUSINESS_ACCESS_TOKEN}
Business token as a type of user authentication.
O
adAccountIdadAccountId: ${AD_ACCOUNT_ID}
Ad account's ID.
O
Path variable
NameTypeDescriptionRequired
PROFILE_IDStringKakao Talk Channel's profile ID.O

Response

Body
NameTypeDescription
-ChannelPost[]List of posts uploaded in the requested Kakao Talk Channel.

Sample

Request
curl -X GET "https://apis.moment.kakao.com/openapi/v4/messages/posts/${PROFILE_ID}" \
-H "Authorization: Bearer ${BUSINESS_ACCESS_TOKEN}" \
-H "adAccountId: ${AD_ACCOUNT_ID}"
Response
HTTP/1.1 200 OK
Content-Type: application/json;charset=UTF-8
[
{
"id": 1234,
"title": "Post",
"status": "published",
"permalink": "http://kakao.com/_xxxx/1",
"createdDate": "2021-01-01T00:00:00",
"publishedDate": "2021-01-01T00:00:00"
},
{
"id": 1235,
"title": "Post 2",
"status": "published",
"permalink": "http://kakao.com/_xxxx/2",
"createdDate": "2021-01-02T00:00:00",
"publishedDate": "2021-01-02T00:00:00"
}
]

View list of Business Forms

Basic information
MethodURLAuthorization
GEThttps://apis.moment.kakao.com/openapi/v4/messages/bizFormsBusiness token

Retrieves a list of Business Forms that you can set as a button for a Message creative.

Send a GET request with the issued business token and an ad account ID (adAccountId) in the request header. If the request is successful, this API returns the list of the Business Forms in JSON format. If failed, refer to Error code to figure out its failure cause.

Request

Header
NameDescriptionRequired
AuthorizationAuthorization: Bearer ${BUSINESS_ACCESS_TOKEN}
Business token as a type of user authentication.
O
adAccountIdadAccountId: ${AD_ACCOUNT_ID}
Ad account's ID.
O

Response

Body
NameTypeDescription
-BusinessForm[]List of Business Forms.

Sample

Request
curl -X GET "https://apis.moment.kakao.com/openapi/v4/messages/bizForms" \
-H "Authorization: Bearer ${BUSINESS_ACCESS_TOKEN}" \
-H "adAccountId: ${AD_ACCOUNT_ID}"
Response
HTTP/1.1 200 OK
Content-Type: application/json;charset=UTF-8
[
{
"id": 1,
"adAccountId": 1234,
"bizFormId": 10,
"title": "Business Form",
"flowType": "APPLY",
"linkedDate": "2021-06-15T23:59:59",
"beginDate": "2021-06-15T23:59:59",
"endDate": "2021-06-15T23:59:59"
},
{
"id": 2,
"adAccountId": 1235,
"bizFormId": 11,
"title": "Business Form2",
"flowType": "BANANA",
"linkedDate": "2021-06-16T23:59:59",
"beginDate": "2021-06-16T23:59:59",
"endDate": "2021-06-16T23:59:59"
}
]

View details of Business Form

Basic information
MethodURLAuthorization
GEThttps://apis.moment.kakao.com/openapi/v4/messages/bizForms/${BIZ_FORM_ID}Business token

Retrieves a specific Business Form that you can set as a button for a Message creative.

Send a GET request with the issued business token and an ad account ID (adAccountId) in the request header. You must also pass the Business Form's ID to be retrieved as a path parameter. If the request is successful, this API returns the details of the requested Business Form in JSON format. If failed, refer to Error code to figure out its failure cause.

Request

Header
NameDescriptionRequired
AuthorizationAuthorization: Bearer ${BUSINESS_ACCESS_TOKEN}
Business token as a type of user authentication.
O
adAccountIdadAccountId: ${AD_ACCOUNT_ID}
Ad account's ID.
O
Path variable
NameTypeDescriptionRequired
BIZ_FORM_IDLongBusiness Form's ID.O

Response

Body
NameTypeDescription
idLongBusiness Form's ID linked to Moment.
This ID is required when you create a Message creative.
adAccountIdLongAd account's ID.
bizFormIdLongBusiness Form's ID.
titleStringBusiness Form's title.
flowTypeStringBusiness Form type

One of:
APPLY (바로응모형)
SURVEY (설문조사형)
RESERV (신청예약형)
linkedDateStringDate and time when the Business Form is linked to Moment.
In yyyy-MM-dd'T'HH:mm:ss format.
beginDateStringDate and time when the Business Form starts.
In yyyy-MM-dd'T'HH:mm:ss format.
endDateStringDate and time when the Business Form ends.
In yyyy-MM-dd'T'HH:mm:ss format.

Sample

Request
curl -X GET "https://apis.moment.kakao.com/openapi/v4/messages/bizForms/${ID}" \
-H "Authorization: Bearer ${BUSINESS_ACCESS_TOKEN}" \
-H "adAccountId: ${AD_ACCOUNT_ID}"
Response
HTTP/1.1 200 OK
Content-Type: application/json;charset=UTF-8
[
{
"id": 1,
"adAccountId": 1234,
"bizFormId": 10,
"title": "Business Form",
"flowType": "APPLY",
"linkedDate": "2021-06-15T23:59:59",
"beginDate": "2021-06-15T23:59:59",
"endDate": "2021-06-15T23:59:59"
},
]

See more

Was this helpful?